---
title: getInstitutionList
slug: ki/getinstitutionlist
description: Discover how to use the API to effortlessly retrieve or update a curated list of institutions. Get access to institution details like codes, names, logos, and maintenance status. Learn how the API handles institutions in maintenance mode, preventing data 
docTags: 
createdAt: 2023-06-30T03:33:38.271Z
---

By using this API, partners can obtain the list of institutions that can be connected or updated. Such institution list is pre-set by Klavi based on the commercial arrangement. Please contact the Klavi business representative for more details.

**Request parameter**: None

**Return data**:&#x20;

| **Name**        | **Type** | **Description**                                            |
| --------------- | -------- | ---------------------------------------------------------- |
| institutionCode | String   | Institution code                                           |
| name            | String   | Institution name                                           |
| logo            | String   | Institution logo                                           |
| status          | Number   | Institution maintenance status (0: maintenance, 1: normal) |

:::hint{type="info"}
💡 **Note:&#x20;**

**When the status of the institution is in the maintenance status, it is impossible to update or obtain data.**
:::

**Request example**:

```curl
curl -s -L -X GET 'https://api-testing.klavi.ai/link/external/v2/getInstitutionList' \
-H 'Authorization: K1-HMAC-SHA256 Credential=AKIDz8krbsJ5yKBZQpn74WFkmLPx3*******/2019-02-25/cbms/k1_request, SignedHeaders=content-type;host, Signature=228874ebcc8c3f89a901b282f0fe933af83d1cd6fe51cd261962a6d8a545ef63' \
-H 'X-Timestamp: 1551113065' \
-H 'Content-type: application/x-www-form-urlencoded' \
-H 'X-Region: ap-brazil'
```

**Return example**:

```json
{
    "code":200,
    "msg":"111",
    "data":[
        {
            "institutionCode":"001",
            "name":"Banco do Brasil",
            "logo":"https://avatarcredigo.s3-sa-east-1.amazonaws.com/banklogo/37d266d3-206d-4670-95db-2b402580484d.png",
            "status":1
        },
        {
            "institutionCode":"033",
            "name":"Santander",
            "logo":"https://avatarcredigo.s3-sa-east-1.amazonaws.com/banklogo/5215b3da-ec40-4df4-867b-dfa60d3effb4.png",
            "status":1
        }
    ]
}
```

